<?php if (!defined('PmWiki')) exit();

function LoadChilliJS($lang, $showlines) {

/////// ADJUST VALUES ///////

	$ChilliJSPath = '/pub/lib/chilli/dist';

/////////////////////////////

	global $HTMLHeaderFmt, $HTMLFooterFmt, $HTMLStylesFmt;

	//last markup setting overrides
	$lines = (trim($showlines) == 'linenum') ? "true" : "false";

	$HTMLHeaderFmts['ChilliJS'] =  <<<EOF
<style type='text/css'><!--
  pre.chilli {  }
  pre.chilli code {  }
  pre.chilli .layer1 {  }
--></style>
EOF;
	$HTMLFooterFmt['ChilliJS'] = "\n".<<<EOF
<script type="text/javascript" src="$ChilliJSPath/jquery-min.js"></script>
<script type="text/javascript" src="$ChilliJSPath/jquery.chili.min.js"></script>
EOF;
	$HTMLFooterFmt['ChilliJSActivate'] = "\n".<<<EOF
<script id="chillisetup" type="text/javascript">
  $.chili.options.dynamic.origin = "$ChilliJSPath/recipes/";
  $.chili.options.decoration.lineNumbers = $lines;
  $.chili.options.selection.active = false;
  $.chili.options.automatic.active = true;
</script>
EOF;
	$HTMLFooterFmtx['ChilliJSRefl'] = "\n".<<<EOF
<script type="text/javascript">
  $.chili.options.automatic.active = false;
  $( function() {
  script_text = '';
  $( '#show_setup' ).html(''
    + '<pre><code class="chili-lang-$lang">'
    + '</code></pre>'
  );
  $( '#show_setup > pre > code' ).chili();
  chili = $('pre > code').chili();
  var spans = chili.find( 'span' ).length;
  $( '#test' ).html(spans)
  });
</script>
EOF;

}

function PreCode2($pagename, $text, $args = '') {

	$PreCode = _PreCode($pagename, $text, $args);
	extract($PreCode, EXTR_OVERWRITE);

	static $highlights = array();
	include('adapter.base.php');

	$refl = '';
	LoadChilliJS($lang, $showlines);
	//$refl = '<span id="show_setup"></span><span id="test"></span>';

	$_id = " id='$id'"; $_idc = " id='$idc'";
	$_c = isset($args['classreset']) ? $args['classreset'].$args['_c'] : '';
	$_c1 = ' class="'.$args['theme'].$showlines.' hs chilli '.@$args['classreset'].'"';
	$_c2 = ' class="'.' chili-lang-'.$lang.' chilli '.$_c.'"';
	return Keep('
<pre'.$_id.$_c1.'><code'.$_idc.$_c2.'>'.$text.'</code></pre>'.
$refl
);

}
