<?php if (!defined('PmWiki')) exit();


LoadHighlightJS();

function LoadHighlightJS() {

/////// ADJUST VALUES ///////

	$HighlightJSPath = '/pub/lib/highlightjs/7.0';
	/*
	arta, ascetic, brown_paper, brown_papersq.png, dark, default,
	far, github, googlecode, idea, ir_black, magula, monokai,
	pojoaque, pojoaque.jpg, rainbow, school_book, school_book.png,
	solarized_dark, solarized_light, sunburst, tomorrow,
	tomorrow-night-blue, tomorrow-night-bright, tomorrow-night,
	tomorrow-night-eighties, vs, xcode, zenburn
	*/
	$theme = 'default';
	# NOTE: set the same value in wiki text
	#  eg. ```python showlines=1 theme=github

/////////////////////////////

	global $HTMLHeaderFmt, $HTMLFooterFmt, $HTMLStylesFmt;

	$HTMLHeaderFmt['LoadHighlightJS'] =  <<<EOF
  <link rel='stylesheet' type='text/css' href='$HighlightJSPath/styles/$theme.css' />
<style type='text/css'><!--
  pre.$theme code { background: none !important; }
  pre.$theme { background: #F0F0F0 !important; } /* change as per theme */
  pre .layer1 { padding: 0.5em; }
--></style>
EOF;
	$HTMLFooterFmt['LoadHighlightJS'] =  "\n".<<<EOF
<script type='text/javascript' src='$HighlightJSPath/highlight.pack.js'></script>
<script type="text/javascript">
/*<![CDATA[*/
hljs.tabReplace = '    ';
//hljs.initHighlightingOnLoad();
hljs.initHighlighting();
/*]]>*/
</script>
EOF;


}

