<?php if (!defined('PmWiki')) exit();
// See precode/README
if (file_exists("cookbook/precode/precode.php")) {
  $EnablePrecode = 1;
  include_once('cookbook/precode/precode.php');
}

LoadPrettifyJS();

function LoadPrettifyJS() {

/////// ADJUST VALUES ///////

	$PrettifyJSPath = '/pub/lib/code-prettify/200703';
	$theme = 'default';  // desert | sons-of-obsidian | sunburst

/////////////////////////////

	global $HTMLHeaderFmt, $HTMLFooterFmt, $HTMLStylesFmt;

	$th = '';
	if(isset($theme)) {
		$th = "<link rel='stylesheet' type='text/css' href='$PrettifyJSPath/styles/$theme.css' />";
	}

	$HTMLHeaderFmt['PrettifyJS'] =  <<<EOF

<link rel='stylesheet' type='text/css' href='$PrettifyJSPath/min/prettify.css' />
$th
<style type='text/css'><!--
  pre.prettyprint { padding: 0px; }
  pre.prettyprint code { background: none; }
  pre.prettyprint .layer1 {  }
--></style>
EOF;
	$HTMLFooterFmt['PrettifyJS'] =  <<<EOF

<script type='text/javascript' src='$PrettifyJSPath/min/prettify.js'></script>
<script type="text/javascript">
/*<![CDATA[*/
 prettyPrint();
/*]]>*/
</script>
EOF;

}

function PreCode2($pagename, $text, $args = '') {

	global $HTMLStylesFmt;
	$PreCode = _PreCode($pagename, $text, $args);
	extract($PreCode, EXTR_OVERWRITE);

	static $highlights = array();
	include('adapter.base.php');

	$_id = " id='$id'"; $_idc = " id='$idc'";
	$_c = isset($args['classreset']) ? $args['classreset'].$args['_c'] : '';
	$_c1 = ' class="'.$args['theme'].$showlines.' prettyprint hs '.@$args['classreset'].'"';
	$lang = ! empty($lang) ? 'lang-'.$lang.' ' : '';
	$_c2 = ' class="'.$lang.'prettyprint '.$_c.'"';
	return Keep('<pre'.$_id.$_c1.'><code'.$_idc.$_c2.'>'.$text.'</code></pre>');

}
