<?php if (!defined('PmWiki')) exit(); //TODO
// See precode/README
if (file_exists("cookbook/precode/precode.php")) {
  $EnablePrecode = 1;
  include_once('cookbook/precode/precode.php');
}

//LoadRainbowJS();

function LoadRainbowJS($lang='') {

/////// ADJUST VALUES ///////

	$RainbowJSPath = '/pub/lib/rainbow/2.1.7';
	/*
	all-hallows-eve, blackboard, dreamweaver, espresso-libre, github
	kimbie-dark, kimbie-light, monokai, obsidian, paraiso-dark
	paraiso-light, pastie, solarized-dark, solarized-light
	sunburst, tomorrow-night, tricolore, twilight, zenburnesque
	*/
	$theme = 'github';

/////////////////////////////

	global $HTMLHeaderFmt, $HTMLFooterFmt, $HTMLStylesFmt;

	if(isset($theme)) {
		$th = "<link rel='stylesheet' type='text/css' href='$RainbowJSPath/themes/css/$theme.css' />";
	}

	$HTMLHeaderFmt['RainbowJS'] =  <<<EOF
  $th
<style type='text/css'><!--
  pre code { background: none; }
  pre {  }
  pre .layer1 {  padding-top: 6px; }
  pre .layer1 .stayhilite { background-color: yellow !important; opacity: .6 !important; }
  pre .layer1 .hilite { background-color: #ddd !important; opacity: .7 !important; }
--></style>
EOF;

	$HTMLFooterFmt['RainbowJS'] =  "\n".<<<EOF
<script src="$RainbowJSPath/js/rainbow.min.js"></script>
<script src="$RainbowJSPath/js/language/generic.js"></script>
EOF;
if ( ! empty($lang) ) {
	$HTMLFooterFmt['RainbowJS-'.$lang] =  "\n".<<<EOF
<script src="$RainbowJSPath/js/language/$lang.js"></script>
EOF;
}

}

function PreCode2($pagename, $text, $args = '') {

	$PreCode = _PreCode($pagename, $text, $args);
	extract($PreCode, EXTR_OVERWRITE);

	static $highlights = array();
	include('adapter.base.php');

	$RainbowJSPath = '/pub/lib/rainbow';
	$langs =  array(
		'c', 'coffeescript', 'csharp', 'css', 'd',
		'go', 'haskell', 'html', 'java', 'javascript',
		'lua', 'php', 'python', 'r', 'ruby', 'scheme',
		'shell', 'smalltalk'
	);

	$lang = trim($lang);
	LoadRainbowJS($lang);

	$_id = " id='$id'"; $_idc = " id='$idc'";
	$_c = isset($args['classreset']) ? $args['classreset'].$args['_c'] : '';
	$_c1 = ' class="'.$args['theme'].$showlines.' hs '.@$args['classreset'].'"';
	$_c2 = " class='$lang $_c' data-language='$lang'";
	return Keep('<pre'.$_id.$_c1.'><code'.$_idc.$_c2.'>'.$text.'</code></pre>');

}


