<?php if (!defined('PmWiki')) exit();


/////// ADJUST PATHs //////

$GESHI_PATH = '../../../pub/lib/geshi/1.0.9.0';
include_once('cookbook/sourceblock.php');

///////////////////////////

$HTMLHeaderFmt['Geshi'] =  <<<EOF

<style type='text/css'><!--
pre .layer1, pre {
  font-family: monospace;
  /* padding: 0.5em; color: #000000; font-size: small; */
}
pre .layer1 {
  /* padding: 0.5em 0; */
}
--></style>

EOF;

function PreCode2($pagename, $text, $args = '') {

	global $KeepToken, $KPV, $SourceBlockFmt,
	$HTMLHeaderFmt, $HTMLFooterFmt, $HTMLStylesFmt;

	$PreCode = _PreCode($pagename, $text, $args);
	extract($PreCode, EXTR_OVERWRITE);

	$SourceBlockFmt = "\$txt{{\$url}}";
	$lang = trim($lang);
	if(isset($lang) && ! empty($lang) ) { $language = $lang; }

	if(isset($language)) {

		if($language === 'html') { $lang = $language = 'html4strict'; }
		$str_args = $str_args . " headw=0 lang=$language ";
		$text = SourceBlockMarkup($pagename, $str_args, $text);

		$keepindex = trim(strip_tags($text), $KeepToken);
		$text = trim($KPV[$keepindex]);
		$text = str_replace(array('<br>','<br />'), '', $text);

		preg_match('/(.*?)\\{{2}(.*?)\\}{2}/is', $text, $m);
		$text = $m[1];
		$url =  "<div class='sourceblocklink'>$m[2]</div>";

	}

	static $highlights = array();
	include('adapter.base.php');

	$_id = " id='$id'"; $_idc = " id='$idc'";
	$_c = isset($args['classreset']) ? $args['classreset'].$args['_c'] : '';
	$_c1 = ' class="'.$args['theme'].$showlines.' hs '.@$args['classreset'].'"';
	$_c2 = ' class="'.$lang.' '.$_c.'"';
	return Keep('<pre'.$_id.$_c1.'><code'.$_idc.$_c2.'>'.$text.'</code></pre>'.$url);

}

